package com.data.datarepo.services;

import com.data.datarepo.utils.DataSource;
import com.data.datarepo.utils.DataSourceOra;
import oracle.jdbc.pool.OracleDataSource;

import java.sql.CallableStatement;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class DataLoadService extends DataSourceOra{
    public void testLoad(String repo_name,String up_num) throws SQLException {
        Connection conn=null;
        PreparedStatement cstmt=null;
        PreparedStatement dstmt=null;
        try{
            conn=this.getConn();
            dstmt=conn.prepareStatement("delete from "+repo_name+"");
            dstmt.executeUpdate();
//            cstmt=conn.prepareCall("{ call YLSJSB.largedata_insert(?)}");
            cstmt = conn.prepareStatement("insert into "+repo_name+" select * from "+repo_name+"_OLD where UP_NUM =?");
            cstmt.setString(1,up_num);
            cstmt.executeUpdate();
            System.out.println("执行成功！");
        }
        catch(Exception e)
        {
            System.out.println(e.getMessage());
        }finally {
            if(conn!=null){
                conn.commit();
                conn.close();
            }
            if(cstmt!=null){
                cstmt.close();
            }
            if(dstmt!=null){
                dstmt.close();
            }
        }
    }






}
