package com.data.datarepo.utils;


import com.mysql.cj.jdbc.MysqlDataSource;

public class DataSource {

    private static final String DRIVER_CLASS = "com.mysql.cj.jdbc.Driver";
    private static final String DB_CONNECTION_URL = "jdbc:mysql://127.0.0.1:56612/mz-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8";
    private static final String DB_USER = "root";
    private static final String DB_PWD = "sckjadmin";

//    private static final String DB_CONNECTION_URL = "jdbc:mysql://121.36.73.159:56612/mz-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8";
//    private static final String DB_USER = "dev";
//    private static final String DB_PWD = "sckj2022@123";


    // .7服务器的mysql账号密码
//    private static final String DB_CONNECTION_URL = "jdbc:mysql://10.16.4.7:3306/mz-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8";
//    private static final String DB_USER = "root";
//    private static final String DB_PWD = "root";

    private static DataSource ds;
    private MysqlDataSource mySqlDS = new MysqlDataSource();

    //private constructor
    private DataSource() {
        //mySqlDS.setDriverClassName(DRIVER_CLASS);
        mySqlDS.setUrl(DB_CONNECTION_URL);
        mySqlDS.setUser(DB_USER);
        mySqlDS.setPassword(DB_PWD);
    }

    /**
     * static method for getting instance.
     */
    public static DataSource getInstance() {
        if (ds == null) {
            ds = new DataSource();
        }
        return ds;
    }

    public MysqlDataSource getMySqlDS() {
        return mySqlDS;
    }

    public void setMySqlDS(MysqlDataSource mySqlDS) {
        this.mySqlDS = mySqlDS;
    }
}
