package com.data.datarepo.utils;


import com.mysql.cj.jdbc.MysqlDataSource;
import oracle.jdbc.pool.OracleDataSource;

import java.sql.*;

public class DataSourceOra {

//    private static final String DB_DRIVERTYPE="thin";
//    private static final String DB_NetworkProtocol="tcp";
//    private static final String DB_ServerName="10.16.4.7";
//    private static final String DB_DatabaseName="helowin";
//    private static final int DB_PortNumber=1521;
//    private static final String DB_USER = "ylxt";
//    private static final String DB_PWD = "ylxt";
    public static final String DRIVER="oracle.jdbc.driver.OracleDriver";
//    public static final String URL="jdbc:oracle:thin:@127.0.0.1:1521:ORCL";

//    public static final String UID="DATAREP";
//    public static final String UID="ylsjsb";

//    public static final String PWD="sckjadmin";
//    public static final String PWD="ylsjsb";

    /** 正式去厅里的电脑-用户和密码*/
    public static final String URL="jdbc:oracle:thin:@59.198.199.42:54653:mzt";
    public static final String UID="ylsjsb";
    public static final String PWD="Y@F8y%qo3Uz";


    /** 本地.7服务器测试-2023-12-15 16:37:25*/
//    public static final String URL="jdbc:oracle:thin:@10.16.4.7:1521:helowin";
//    public static final String UID="ylxt";
//    public static final String PWD="ylxt";

    /***
     * 加载驱动,打开数据库连接
     * @return
     */
    public Connection getConn(){
        try {
            Class.forName(DRIVER);
//            System.out.println("数据库驱动加载成功");
        } catch (ClassNotFoundException e) {
            System.out.println("找不到数据库驱动");
            e.printStackTrace();
        }
        try {
            Connection conn= DriverManager.getConnection(URL,UID,PWD);
//            System.out.println("连接数据库成功");
            return conn;
        } catch (SQLException e) {
            System.out.println("连接数据库失败");
            e.printStackTrace();
        }
        return null;
    }

    /***
     * 关闭连接释放所有资源
     * @param conn
     * @param pstmt
     * @param rs
     * @throws SQLException
     */
    public void closeAll(Connection conn, PreparedStatement pstmt, ResultSet rs) throws SQLException
    {
        if(rs!=null)rs.close();
        if(pstmt!=null)pstmt.close();
        if(conn!=null)conn.close();
    }

    public int executeSql(String preParedSql,String[] param) throws SQLException
    {
        Connection conn=this.getConn();
        PreparedStatement pstmt=null;
        pstmt=conn.prepareStatement(preParedSql);
        if(param!=null)
        {
            for(int i=1;i<=param.length;i++)
                pstmt.setString(i, param[i-1]);
        }
        int num=pstmt.executeUpdate();
        this.closeAll(conn, pstmt, null);
        return num;
    }
}
